Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2DecimalInputSymbolRef Class Reference

Represents a reference to a decimal input symbol. More...

`#include <Xabsl2DecimalExpression.h>`

Inheritance diagram for Xabsl2DecimalInputSymbolRef:

[legend]
Collaboration diagram for Xabsl2DecimalInputSymbolRef:

[legend]
List of all members.

## Public Member Functions
| Xabsl2DecimalInputSymbolRef (Xabsl2InputSource &input, Xabsl2ErrorHandler &errorHandler, Xabsl2Symbols &symbols)
| Constructor.
virtual double | getValue ()
| Calculates the value of the decimal expression.
## Private Attributes
Xabsl2DecimalInputSymbol * | symbol
| The referenced decimal input symbol.

## Detailed Description

Represents a reference to a decimal input symbol.

Author:
  Martin Lötzsch

Definition at line 87 of file Xabsl2DecimalExpression.h.

## Constructor & Destructor Documentation

Xabsl2DecimalInputSymbolRef::Xabsl2DecimalInputSymbolRef | ( | Xabsl2InputSource & | input,
|  | Xabsl2ErrorHandler & | errorHandler,
|  | Xabsl2Symbols & | symbols
| ) |

  | Constructor. Creates the reference Parameters:
  input | An input source for the intermediate code. It must be opened and read until A position where a decimal operand starts.
  errorHandler | A reference to a Xabsl2ErrorHandler instance
  symbols | All available symbols
Definition at line 133 of file Xabsl2DecimalExpression.cpp. References Xabsl2ErrorHandler::error(), Xabsl2Symbols::existsDecimalInputSymbol(), Xabsl2Symbols::getDecimalInputSymbol(), Xabsl2ErrorHandler::message(), Xabsl2InputSource::readString(), and XABSL2_DEBUG_INIT.

Here is the call graph for this function:

## Member Function Documentation

double Xabsl2DecimalInputSymbolRef::getValue | ( |  | ) | `[virtual]`

| Calculates the value of the decimal expression. Implements Xabsl2DecimalExpression. Definition at line 150 of file Xabsl2DecimalExpression.cpp. References Xabsl2InputSymbol< double >::getValue().

Here is the call graph for this function:

## Member Data Documentation

Xabsl2DecimalInputSymbol* Xabsl2DecimalInputSymbolRef::symbol`[private]`

| The referenced decimal input symbol. Definition at line 106 of file Xabsl2DecimalExpression.h.

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2DecimalExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2DecimalExpression.cpp